# HG changeset patch
# Node ID 6b17e68a574d
# Parent  8dd5cee2eb02
diff --git a/libpurple/request.h b/libpurple/request.h
--- a/libpurple/request.h
+++ b/libpurple/request.h
@@ -621,6 +621,7 @@ purple_request_cpar_get_parent_from(Purp
  *
  * Returns: A UI-specific handle.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *purple_request_input(void *handle, const char *title, const char *primary,
 	const char *secondary, const char *default_value, gboolean multiline,
 	gboolean masked, gchar *hint,
@@ -660,6 +661,7 @@ void *purple_request_input(void *handle,
  *
  * Returns: A UI-specific handle.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *purple_request_choice(void *handle, const char *title, const char *primary,
 	const char *secondary, gpointer default_value,
 	const char *ok_text, GCallback ok_cb,
@@ -697,6 +699,7 @@ void *purple_request_choice(void *handle
  * <literal>va_list</literal> version of purple_request_choice(); see its
  * documentation.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *purple_request_choice_varg(void *handle, const char *title,
 	const char *primary, const char *secondary, gpointer default_value,
 	const char *ok_text, GCallback ok_cb,
@@ -736,6 +739,7 @@ void *purple_request_choice_varg(void *h
  *
  * Returns: A UI-specific handle.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *
 purple_request_action(void *handle, const char *title, const char *primary,
 	const char *secondary, int default_action,
@@ -771,6 +775,7 @@ purple_request_action(void *handle, cons
  * <literal>va_list</literal> version of purple_request_action(); see its
  * documentation.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *
 purple_request_action_varg(void *handle, const char *title, const char *primary,
 	const char *secondary, int default_action,
@@ -863,6 +868,7 @@ purple_request_wait_progress(void *ui_ha
  *
  * Returns: A UI-specific handle.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *
 purple_request_fields(void *handle, const char *title, const char *primary,
 	const char *secondary, PurpleRequestPage *page,
@@ -909,6 +915,7 @@ purple_request_add_close_notify(void *ui
  *
  * Closes a request.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_close(PurpleRequestType type, void *uihandle);
 
 /**
@@ -920,6 +927,7 @@ void purple_request_close(PurpleRequestT
  *
  * See purple_request_input().
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_close_with_handle(void *handle);
 
 /**
@@ -1023,6 +1031,7 @@ void purple_request_close_with_handle(vo
  *
  * Returns: A UI-specific handle.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *
 purple_request_file(void *handle, const char *title, const char *filename,
 	gboolean savedialog, GCallback ok_cb, GCallback cancel_cb,
@@ -1047,6 +1056,7 @@ purple_request_file(void *handle, const 
  *
  * Returns: A UI-specific handle.
  */
+PURPLE_AVAILABLE_IN_ALL
 void *
 purple_request_folder(void *handle, const char *title, const char *dirname,
 	GCallback ok_cb, GCallback cancel_cb,
@@ -1075,6 +1085,7 @@ GType purple_request_ui_ops_get_type(voi
  * Sets the UI operations structure to be used when displaying a
  * request.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_set_ui_ops(PurpleRequestUiOps *ops);
 
 /**
@@ -1085,6 +1096,7 @@ void purple_request_set_ui_ops(PurpleReq
  *
  * Returns: The UI operations structure.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestUiOps *purple_request_get_ui_ops(void);
 
 G_END_DECLS
diff --git a/libpurple/request/purplerequestfield.h b/libpurple/request/purplerequestfield.h
--- a/libpurple/request/purplerequestfield.h
+++ b/libpurple/request/purplerequestfield.h
@@ -88,6 +88,7 @@ G_DECLARE_DERIVABLE_TYPE(PurpleRequestFi
  *
  * Sets the label text of a field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_set_label(PurpleRequestField *field, const char *label);
 
 /**
@@ -97,6 +98,7 @@ void purple_request_field_set_label(Purp
  *
  * Sets whether or not a field is visible.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_set_visible(PurpleRequestField *field, gboolean visible);
 
 /**
@@ -109,6 +111,7 @@ void purple_request_field_set_visible(Pu
  * This is optionally used by the UIs to provide such features as
  * auto-completion for type hints like "account" and "screenname".
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_set_type_hint(PurpleRequestField *field,
 									  const char *type_hint);
 
@@ -134,6 +137,7 @@ void purple_request_field_set_tooltip(Pu
  *
  * Sets whether or not a field is required.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_set_required(PurpleRequestField *field, gboolean required);
 
 /**
@@ -157,6 +161,7 @@ PurpleRequestGroup *purple_request_field
  *
  * Returns: The ID
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_request_field_get_id(PurpleRequestField *field);
 
 /**
@@ -167,6 +172,7 @@ const char *purple_request_field_get_id(
  *
  * Returns: The label text.
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_request_field_get_label(PurpleRequestField *field);
 
 /**
@@ -177,6 +183,7 @@ const char *purple_request_field_get_lab
  *
  * Returns: TRUE if the field is visible. FALSE otherwise.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_is_visible(PurpleRequestField *field);
 
 /**
@@ -187,6 +194,7 @@ gboolean purple_request_field_is_visible
  *
  * Returns: The field's type hint.
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_request_field_get_type_hint(PurpleRequestField *field);
 
 /**
@@ -210,6 +218,7 @@ const char *purple_request_field_get_too
  *
  * Returns: TRUE if the field is required, or FALSE.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_is_required(PurpleRequestField *field);
 
 /**
diff --git a/libpurple/request/purplerequestfieldaccount.h b/libpurple/request/purplerequestfieldaccount.h
--- a/libpurple/request/purplerequestfieldaccount.h
+++ b/libpurple/request/purplerequestfieldaccount.h
@@ -78,6 +78,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldA
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_account_new(const char *id, const char *text, PurpleAccount *account);
 
 /**
@@ -87,6 +88,7 @@ PurpleRequestField *purple_request_field
  *
  * Sets the default account on an account field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_account_set_default_value(PurpleRequestFieldAccount *field, PurpleAccount *default_value);
 
 /**
@@ -96,6 +98,7 @@ void purple_request_field_account_set_de
  *
  * Sets the account in an account field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_account_set_value(PurpleRequestFieldAccount *field, PurpleAccount *value);
 
 /**
@@ -108,6 +111,7 @@ void purple_request_field_account_set_va
  * If TRUE, all accounts, online or offline, will be shown. If FALSE,
  * only online accounts will be shown.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_account_set_show_all(PurpleRequestFieldAccount *field, gboolean show_all);
 
 /**
@@ -123,6 +127,7 @@ void purple_request_field_account_set_sh
  * This function will determine which accounts get displayed and which
  * don't.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_account_set_filter(PurpleRequestFieldAccount *field, PurpleRequestFieldAccountFilterFunc filter_func, gpointer user_data, GDestroyNotify destroy_data);
 
 /**
@@ -133,6 +138,7 @@ void purple_request_field_account_set_fi
  *
  * Returns: (transfer none): The default account.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleAccount *purple_request_field_account_get_default_value(PurpleRequestFieldAccount *field);
 
 /**
@@ -143,6 +149,7 @@ PurpleAccount *purple_request_field_acco
  *
  * Returns: (transfer none): The user-entered account.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleAccount *purple_request_field_account_get_value(PurpleRequestFieldAccount *field);
 
 /**
@@ -156,6 +163,7 @@ PurpleAccount *purple_request_field_acco
  *
  * Returns: Whether or not to show all accounts.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_account_get_show_all(PurpleRequestFieldAccount *field);
 
 /**
diff --git a/libpurple/request/purplerequestfieldbool.h b/libpurple/request/purplerequestfieldbool.h
--- a/libpurple/request/purplerequestfieldbool.h
+++ b/libpurple/request/purplerequestfieldbool.h
@@ -60,6 +60,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldB
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_bool_new(const char *id, const char *text, gboolean default_value);
 
 /**
@@ -69,6 +70,7 @@ PurpleRequestField *purple_request_field
  *
  * Sets the default value in an boolean field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_bool_set_default_value(PurpleRequestFieldBool *field, gboolean default_value);
 
 /**
@@ -78,6 +80,7 @@ void purple_request_field_bool_set_defau
  *
  * Sets the value in an boolean field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_bool_set_value(PurpleRequestFieldBool *field, gboolean value);
 
 /**
@@ -88,6 +91,7 @@ void purple_request_field_bool_set_value
  *
  * Returns: The default value.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_bool_get_default_value(PurpleRequestFieldBool *field);
 
 /**
@@ -98,6 +102,7 @@ gboolean purple_request_field_bool_get_d
  *
  * Returns: The value.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_bool_get_value(PurpleRequestFieldBool *field);
 
 G_END_DECLS
diff --git a/libpurple/request/purplerequestfieldchoice.h b/libpurple/request/purplerequestfieldchoice.h
--- a/libpurple/request/purplerequestfieldchoice.h
+++ b/libpurple/request/purplerequestfieldchoice.h
@@ -60,6 +60,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldC
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_choice_new(const char *id, const char *text, gpointer default_value);
 
 /**
@@ -70,6 +71,7 @@ PurpleRequestField *purple_request_field
  *
  * Adds a choice to a multiple choice field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_choice_add(PurpleRequestFieldChoice *field, const char *label, gpointer data);
 
 /**
@@ -93,6 +95,7 @@ void purple_request_field_choice_add_ful
  *
  * Sets the default value in a choice field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_choice_set_default_value(PurpleRequestFieldChoice *field, gpointer default_value);
 
 /**
@@ -102,6 +105,7 @@ void purple_request_field_choice_set_def
  *
  * Sets the value in a choice field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_choice_set_value(PurpleRequestFieldChoice *field, gpointer value);
 
 /**
@@ -112,6 +116,7 @@ void purple_request_field_choice_set_val
  *
  * Returns: The default value.
  */
+PURPLE_AVAILABLE_IN_ALL
 gpointer purple_request_field_choice_get_default_value(PurpleRequestFieldChoice *field);
 
 /**
@@ -122,6 +127,7 @@ gpointer purple_request_field_choice_get
  *
  * Returns: The value.
  */
+PURPLE_AVAILABLE_IN_ALL
 gpointer purple_request_field_choice_get_value(PurpleRequestFieldChoice *field);
 
 /**
diff --git a/libpurple/request/purplerequestfieldimage.h b/libpurple/request/purplerequestfieldimage.h
--- a/libpurple/request/purplerequestfieldimage.h
+++ b/libpurple/request/purplerequestfieldimage.h
@@ -62,6 +62,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldI
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_image_new(const char *id, const char *text, const char *buf, gsize size);
 
 /**
@@ -72,6 +73,7 @@ PurpleRequestField *purple_request_field
  *
  * Sets the scale factors of an image field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_image_set_scale(PurpleRequestFieldImage *field, unsigned int x, unsigned int y);
 
 /**
@@ -82,6 +84,7 @@ void purple_request_field_image_set_scal
  *
  * Returns: Pointer to the image.
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_request_field_image_get_buffer(PurpleRequestFieldImage *field);
 
 /**
@@ -92,6 +95,7 @@ const char *purple_request_field_image_g
  *
  * Returns: Size of the image.
  */
+PURPLE_AVAILABLE_IN_ALL
 gsize purple_request_field_image_get_size(PurpleRequestFieldImage *field);
 
 /**
@@ -102,6 +106,7 @@ gsize purple_request_field_image_get_siz
  *
  * Returns: X scale coefficient of the image.
  */
+PURPLE_AVAILABLE_IN_ALL
 unsigned int purple_request_field_image_get_scale_x(PurpleRequestFieldImage *field);
 
 /**
@@ -112,6 +117,7 @@ unsigned int purple_request_field_image_
  *
  * Returns: Y scale coefficient of the image.
  */
+PURPLE_AVAILABLE_IN_ALL
 unsigned int purple_request_field_image_get_scale_y(PurpleRequestFieldImage *field);
 
 G_END_DECLS
diff --git a/libpurple/request/purplerequestfieldint.h b/libpurple/request/purplerequestfieldint.h
--- a/libpurple/request/purplerequestfieldint.h
+++ b/libpurple/request/purplerequestfieldint.h
@@ -60,6 +60,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldI
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_int_new(const char *id, const char *text, int default_value, int lower_bound, int upper_bound);
 
 /**
@@ -69,6 +70,7 @@ PurpleRequestField *purple_request_field
  *
  * Sets the default value in an integer field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_int_set_default_value(PurpleRequestFieldInt *field, int default_value);
 
 /**
@@ -102,6 +104,7 @@ void purple_request_field_int_set_upper_
  *
  * Sets the value in an integer field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_int_set_value(PurpleRequestFieldInt *field, int value);
 
 /**
@@ -112,6 +115,7 @@ void purple_request_field_int_set_value(
  *
  * Returns: The default value.
  */
+PURPLE_AVAILABLE_IN_ALL
 int purple_request_field_int_get_default_value(PurpleRequestFieldInt *field);
 
 /**
@@ -148,6 +152,7 @@ int purple_request_field_int_get_upper_b
  *
  * Returns: The value.
  */
+PURPLE_AVAILABLE_IN_ALL
 int purple_request_field_int_get_value(PurpleRequestFieldInt *field);
 
 G_END_DECLS
diff --git a/libpurple/request/purplerequestfieldlabel.h b/libpurple/request/purplerequestfieldlabel.h
--- a/libpurple/request/purplerequestfieldlabel.h
+++ b/libpurple/request/purplerequestfieldlabel.h
@@ -57,6 +57,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldL
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_label_new(const char *id, const char *text);
 
 G_END_DECLS
diff --git a/libpurple/request/purplerequestfieldlist.h b/libpurple/request/purplerequestfieldlist.h
--- a/libpurple/request/purplerequestfieldlist.h
+++ b/libpurple/request/purplerequestfieldlist.h
@@ -57,6 +57,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldL
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_list_new(const char *id, const char *text);
 
 /**
@@ -67,6 +68,7 @@ PurpleRequestField *purple_request_field
  *
  * Sets whether or not a list field allows multiple selection.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_list_set_multi_select(PurpleRequestFieldList *field, gboolean multi_select);
 
 /**
@@ -77,6 +79,7 @@ void purple_request_field_list_set_multi
  *
  * Returns: TRUE if multiple selection is enabled, or FALSE otherwise.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_list_get_multi_select(PurpleRequestFieldList *field);
 
 /**
@@ -88,6 +91,7 @@ gboolean purple_request_field_list_get_m
  *
  * Returns: The data associated with the item.
  */
+PURPLE_AVAILABLE_IN_ALL
 gpointer purple_request_field_list_get_data(PurpleRequestFieldList *field, const char *text);
 
 /**
@@ -99,6 +103,7 @@ gpointer purple_request_field_list_get_d
  *
  * Adds an item to a list field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_list_add_icon(PurpleRequestFieldList *field, const char *item, const char *icon_path, gpointer data);
 
 /**
@@ -108,6 +113,7 @@ void purple_request_field_list_add_icon(
  *
  * Adds a selected item to the list field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_list_add_selected(PurpleRequestFieldList *field, const char *item);
 
 /**
@@ -116,6 +122,7 @@ void purple_request_field_list_add_selec
  *
  * Clears the list of selected items in a list field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_list_clear_selected(PurpleRequestFieldList *field);
 
 /**
@@ -125,6 +132,7 @@ void purple_request_field_list_clear_sel
  *
  * Sets a list of selected items in a list field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_list_set_selected(PurpleRequestFieldList *field, GList *items);
 
 /**
@@ -136,6 +144,7 @@ void purple_request_field_list_set_selec
  *
  * Returns: TRUE if the item is selected. FALSE otherwise.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_list_is_selected(PurpleRequestFieldList *field, const char *item);
 
 /**
@@ -149,6 +158,7 @@ gboolean purple_request_field_list_is_se
  *
  * Returns: (element-type utf8) (transfer none): The list of selected items.
  */
+PURPLE_AVAILABLE_IN_ALL
 GList *purple_request_field_list_get_selected(PurpleRequestFieldList *field);
 
 /**
@@ -159,6 +169,7 @@ GList *purple_request_field_list_get_sel
  *
  * Returns: (element-type PurpleKeyValuePair) (transfer none): The list of items.
  */
+PURPLE_AVAILABLE_IN_ALL
 GList *purple_request_field_list_get_items(PurpleRequestFieldList *field);
 
 /**
diff --git a/libpurple/request/purplerequestfieldstring.h b/libpurple/request/purplerequestfieldstring.h
--- a/libpurple/request/purplerequestfieldstring.h
+++ b/libpurple/request/purplerequestfieldstring.h
@@ -59,6 +59,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldS
  *
  * Returns: (transfer full): The new field.
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_string_new(const char *id, const char *text, const char *default_value, gboolean multiline);
 
 /**
@@ -68,6 +69,7 @@ PurpleRequestField *purple_request_field
  *
  * Sets the default value in a string field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_string_set_default_value(PurpleRequestFieldString *field, const char *default_value);
 
 /**
@@ -77,6 +79,7 @@ void purple_request_field_string_set_def
  *
  * Sets the value in a string field.
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_string_set_value(PurpleRequestFieldString *field, const char *value);
 
 /**
@@ -87,6 +90,7 @@ void purple_request_field_string_set_val
  * Sets whether or not a string field is masked
  * (commonly used for password fields).
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_request_field_string_set_masked(PurpleRequestFieldString *field, gboolean masked);
 
 /**
@@ -97,6 +101,7 @@ void purple_request_field_string_set_mas
  *
  * Returns: The default value.
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_request_field_string_get_default_value(PurpleRequestFieldString *field);
 
 /**
@@ -107,6 +112,7 @@ const char *purple_request_field_string_
  *
  * Returns: The value.
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_request_field_string_get_value(PurpleRequestFieldString *field);
 
 /**
@@ -117,6 +123,7 @@ const char *purple_request_field_string_
  *
  * Returns: %TRUE if the field is mulit-line, or %FALSE otherwise.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_string_is_multiline(PurpleRequestFieldString *field);
 
 /**
@@ -127,6 +134,7 @@ gboolean purple_request_field_string_is_
  *
  * Returns: %TRUE if the field is masked, or %FALSE otherwise.
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_request_field_string_is_masked(PurpleRequestFieldString *field);
 
 /**
